> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superlink.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Partner Purchases

> Returns a list of all purchases



## OpenAPI

````yaml GET /v1/partner/purchases
openapi: 3.0.1
info:
  title: Superlink
  description: API for Superlink
  termsOfService: https://assets.superlink.me/tos-v2.html
  contact:
    name: API Support
    url: https://superlink.me/about#contact-us
    email: support@superlink.me
  license:
    name: MIT
  version: 67ce35d94e3c397766edd997341ed79b7283e2f3
servers:
  - url: https://api.superlink.me/
security: []
paths:
  /v1/partner/purchases:
    get:
      tags:
        - partner
      summary: Returns a list of all purchases
      description: Returns a list of all purchases
      operationId: partner-purchases
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.PurchaseListResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.InternalServerErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    api.PurchaseListResponse:
      type: object
      properties:
        purchases:
          type: array
          items:
            $ref: '#/components/schemas/api.PurchaseResponse'
    api.InternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          example: Internal server error
    api.PurchaseResponse:
      type: object
      properties:
        currency:
          type: string
          example: USD
        domain:
          type: string
          example: firstname.lastname
        nameService:
          type: string
          example: superlink
        ownerAddress:
          type: string
          example: '0x1234567890abcdef1234567890abcdef12345678'
        partnerId:
          type: string
          example: 1234567890abcdef1234567890abcdef12345678
        price:
          type: number
          example: 59.99
  securitySchemes:
    BearerAuth:
      type: apiKey
      description: Type "Bearer" followed by a space and the JWT token.
      name: Authorization
      in: header

````